This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 172766 - RFE: linux FW/netfilter
RFE: linux FW/netfilter
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
http://www.netfilter.org
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 07:28 EST by acount closed by user
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 13:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2005-11-09 07:28:32 EST
They're the counterparts to the first pieces of the "next generation" netfilter
subsystem that will be present in the 2.6.14 linux kernel release.

libnfnetlink-0.0.11
	ftp://ftp.netfilter.org/pub/libnfnetlink/libnfnetlink-0.0.11.tar.bz2
	This is the low-level communications library

libnetfilter_log-0.0.10
	ftp://ftp.netfilter.org/pub/libnetfilter_log/libnetfilter_log-0.0.10.tar.bz2
	This is the userspace library for nfnetlink_log in 2.6.14
	It is used by the upcoming ulogd-2.00beta release
	Needs libnfnetlink-0.0.11

libnetfilter_queue-0.0.10
	ftp://ftp.netfilter.org/pub/libnetfilter_queue/libnetfilter_queue-0.0.10.tar.bz2
	This is the userspace library for nfnetlink_queue in 2.6.14
	It is used by applications that traditionally used libipq
	NuFW already has a working port
	Needs libnfnetlink-0.0.11

libnetfilter_conntrack-0.0.20
	ftp://ftp.netfilter.org/pub/libnetfilter_conntrack/libnetfilter_conntrack-0.0.20.tar.bz2
	This is the userspace library for the ip_conntrack netlink interface
	It is currently only used by the conntrack program (see below)
	Needs libnfnetlink-0.0.11

conntrack-0.90
	ftp://ftp.netfilter.org/pub/conntrack/conntrack-0.90.tar.bz2
	The userspace connection tracking table administration program
	Needs libnetfilter_conntrack-0.0.20

and :

ulogd-1.23
       http://ftp.netfilter.org/pub/ulogd/

ulogd is a replacement for traditional syslog-based logging (using the LOG
target) in iptables-based firewalls. ULOG/ulogd has a different concept. Packets
get copied to a special logging daemon, which can do very detailed logging to
different targets (plaintext files, MySQL databases, ...). ulogd supports
plugins for different output formats, as well as for new protocols/..

-thanks-
Comment 1 Bill Nottingham 2005-11-09 13:31:18 EST
ulogd is already in Fedora Extras; that seems like a good place for these
libraries to start out as well.

Note You need to log in before you can comment on or make changes to this bug.